Changeset 2266 for trunk


Ignore:
Timestamp:
May 19, 2017 7:23:10 PM (2 years ago)
Author:
lou
Message:

Incorporate BuildTools changeset 3701 (remove -pedantic-errors).

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r2199 r2266  
    28832883        coin_dbg_cflags="-g -O0"
    28842884        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas -Wno-long-long"
    2885         case $build in
    2886           *-darwin*)
    2887             ;;
    2888           *)
    2889             coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
    2890             ;;
    2891         esac
    28922885    esac
    28932886  fi
     
    37523745        coin_dbg_cxxflags="-g -O0"
    37533746        coin_warn_cxxflags="-Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas -Wno-long-long"
    3754         case $build in
    3755           *-darwin*)
    3756             ;;
    3757           *)
    3758             coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    3759             ;;
    3760         esac
    37613747    esac
    37623748  fi
     
    58725858*-*-irix6*)
    58735859  # Find out which ABI we are using.
    5874   echo '#line 5874 "configure"' > conftest.$ac_ext
     5860  echo '#line 5860 "configure"' > conftest.$ac_ext
    58755861  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58765862  (eval $ac_compile) 2>&5
     
    70066992
    70076993# Provide some information about the compiler.
    7008 echo "$as_me:7008:" \
     6994echo "$as_me:6994:" \
    70096995     "checking for Fortran 77 compiler version" >&5
    70106996ac_compiler=`set X $ac_compile; echo $2`
     
    80738059   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80748060   -e 's:$: $lt_compiler_flag:'`
    8075    (eval echo "\"\$as_me:8075: $lt_compile\"" >&5)
     8061   (eval echo "\"\$as_me:8061: $lt_compile\"" >&5)
    80768062   (eval "$lt_compile" 2>conftest.err)
    80778063   ac_status=$?
    80788064   cat conftest.err >&5
    8079    echo "$as_me:8079: \$? = $ac_status" >&5
     8065   echo "$as_me:8065: \$? = $ac_status" >&5
    80808066   if (exit $ac_status) && test -s "$ac_outfile"; then
    80818067     # The compiler can only warn and ignore the option if not recognized
     
    83418327   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83428328   -e 's:$: $lt_compiler_flag:'`
    8343    (eval echo "\"\$as_me:8343: $lt_compile\"" >&5)
     8329   (eval echo "\"\$as_me:8329: $lt_compile\"" >&5)
    83448330   (eval "$lt_compile" 2>conftest.err)
    83458331   ac_status=$?
    83468332   cat conftest.err >&5
    8347    echo "$as_me:8347: \$? = $ac_status" >&5
     8333   echo "$as_me:8333: \$? = $ac_status" >&5
    83488334   if (exit $ac_status) && test -s "$ac_outfile"; then
    83498335     # The compiler can only warn and ignore the option if not recognized
     
    84458431   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84468432   -e 's:$: $lt_compiler_flag:'`
    8447    (eval echo "\"\$as_me:8447: $lt_compile\"" >&5)
     8433   (eval echo "\"\$as_me:8433: $lt_compile\"" >&5)
    84488434   (eval "$lt_compile" 2>out/conftest.err)
    84498435   ac_status=$?
    84508436   cat out/conftest.err >&5
    8451    echo "$as_me:8451: \$? = $ac_status" >&5
     8437   echo "$as_me:8437: \$? = $ac_status" >&5
    84528438   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84538439   then
     
    1079010776  lt_status=$lt_dlunknown
    1079110777  cat > conftest.$ac_ext <<EOF
    10792 #line 10792 "configure"
     10778#line 10778 "configure"
    1079310779#include "confdefs.h"
    1079410780
     
    1089010876  lt_status=$lt_dlunknown
    1089110877  cat > conftest.$ac_ext <<EOF
    10892 #line 10892 "configure"
     10878#line 10878 "configure"
    1089310879#include "confdefs.h"
    1089410880
     
    1323413220   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323513221   -e 's:$: $lt_compiler_flag:'`
    13236    (eval echo "\"\$as_me:13236: $lt_compile\"" >&5)
     13222   (eval echo "\"\$as_me:13222: $lt_compile\"" >&5)
    1323713223   (eval "$lt_compile" 2>conftest.err)
    1323813224   ac_status=$?
    1323913225   cat conftest.err >&5
    13240    echo "$as_me:13240: \$? = $ac_status" >&5
     13226   echo "$as_me:13226: \$? = $ac_status" >&5
    1324113227   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324213228     # The compiler can only warn and ignore the option if not recognized
     
    1333813324   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333913325   -e 's:$: $lt_compiler_flag:'`
    13340    (eval echo "\"\$as_me:13340: $lt_compile\"" >&5)
     13326   (eval echo "\"\$as_me:13326: $lt_compile\"" >&5)
    1334113327   (eval "$lt_compile" 2>out/conftest.err)
    1334213328   ac_status=$?
    1334313329   cat out/conftest.err >&5
    13344    echo "$as_me:13344: \$? = $ac_status" >&5
     13330   echo "$as_me:13330: \$? = $ac_status" >&5
    1334513331   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1334613332   then
     
    1490814894   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490914895   -e 's:$: $lt_compiler_flag:'`
    14910    (eval echo "\"\$as_me:14910: $lt_compile\"" >&5)
     14896   (eval echo "\"\$as_me:14896: $lt_compile\"" >&5)
    1491114897   (eval "$lt_compile" 2>conftest.err)
    1491214898   ac_status=$?
    1491314899   cat conftest.err >&5
    14914    echo "$as_me:14914: \$? = $ac_status" >&5
     14900   echo "$as_me:14900: \$? = $ac_status" >&5
    1491514901   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491614902     # The compiler can only warn and ignore the option if not recognized
     
    1501214998   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501314999   -e 's:$: $lt_compiler_flag:'`
    15014    (eval echo "\"\$as_me:15014: $lt_compile\"" >&5)
     15000   (eval echo "\"\$as_me:15000: $lt_compile\"" >&5)
    1501515001   (eval "$lt_compile" 2>out/conftest.err)
    1501615002   ac_status=$?
    1501715003   cat out/conftest.err >&5
    15018    echo "$as_me:15018: \$? = $ac_status" >&5
     15004   echo "$as_me:15004: \$? = $ac_status" >&5
    1501915005   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1502015006   then
     
    1721917205   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722017206   -e 's:$: $lt_compiler_flag:'`
    17221    (eval echo "\"\$as_me:17221: $lt_compile\"" >&5)
     17207   (eval echo "\"\$as_me:17207: $lt_compile\"" >&5)
    1722217208   (eval "$lt_compile" 2>conftest.err)
    1722317209   ac_status=$?
    1722417210   cat conftest.err >&5
    17225    echo "$as_me:17225: \$? = $ac_status" >&5
     17211   echo "$as_me:17211: \$? = $ac_status" >&5
    1722617212   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722717213     # The compiler can only warn and ignore the option if not recognized
     
    1748717473   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748817474   -e 's:$: $lt_compiler_flag:'`
    17489    (eval echo "\"\$as_me:17489: $lt_compile\"" >&5)
     17475   (eval echo "\"\$as_me:17475: $lt_compile\"" >&5)
    1749017476   (eval "$lt_compile" 2>conftest.err)
    1749117477   ac_status=$?
    1749217478   cat conftest.err >&5
    17493    echo "$as_me:17493: \$? = $ac_status" >&5
     17479   echo "$as_me:17479: \$? = $ac_status" >&5
    1749417480   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749517481     # The compiler can only warn and ignore the option if not recognized
     
    1759117577   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759217578   -e 's:$: $lt_compiler_flag:'`
    17593    (eval echo "\"\$as_me:17593: $lt_compile\"" >&5)
     17579   (eval echo "\"\$as_me:17579: $lt_compile\"" >&5)
    1759417580   (eval "$lt_compile" 2>out/conftest.err)
    1759517581   ac_status=$?
    1759617582   cat out/conftest.err >&5
    17597    echo "$as_me:17597: \$? = $ac_status" >&5
     17583   echo "$as_me:17583: \$? = $ac_status" >&5
    1759817584   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1759917585   then
     
    2492824914
    2492924915# Provide some information about the compiler.
    24930 echo "$as_me:24930:" \
     24916echo "$as_me:24916:" \
    2493124917     "checking for Fortran 77 compiler version" >&5
    2493224918ac_compiler=`set X $ac_compile; echo $2`
     
    2544025426ac_save_FFLAGS=$FFLAGS
    2544125427FFLAGS="$FFLAGS $ac_verb"
    25442 (eval echo $as_me:25442: \"$ac_link\") >&5
     25428(eval echo $as_me:25428: \"$ac_link\") >&5
    2544325429ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2544425430echo "$ac_f77_v_output" >&5
     
    2551825504ac_save_FFLAGS=$FFLAGS
    2551925505FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25520 (eval echo $as_me:25520: \"$ac_link\") >&5
     25506(eval echo $as_me:25506: \"$ac_link\") >&5
    2552125507ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2552225508echo "$ac_f77_v_output" >&5
     
    2630226288    :
    2630326289  elif test "$use_blas" != "no"; then
    26304     echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works" >&5
    26305 echo $ECHO_N "checking whether user supplied BLASLIB=\"$use_blas\" works... $ECHO_C" >&6
    26306     coin_need_flibs=no
    2630726290    coin_save_LIBS="$LIBS"
    2630826291    LIBS="$use_blas $LIBS"
    26309     case $ac_ext in
     26292    if test "$F77" != unavailable ; then
     26293      coin_need_flibs=no
     26294      echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works" >&5
     26295echo $ECHO_N "checking whether user supplied BLASLIB=\"$use_blas\" works... $ECHO_C" >&6
     26296      case $ac_ext in
    2631026297  f)
    2631126298    cat >conftest.$ac_ext <<_ACEOF
     
    2635526342  (exit $ac_status); }; }; then
    2635626343  if test $coin_need_flibs = yes ; then
    26357                          use_blas="$use_blas $FLIBS"
    26358                        fi
    26359                        echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     26344                           use_blas="$use_blas $FLIBS"
     26345                         fi
     26346                         echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2636026347echo "${ECHO_T}yes: $use_blas" >&6
    2636126348else
     
    2636526352echo "$as_me:$LINENO: result: no" >&5
    2636626353echo "${ECHO_T}no" >&6
    26367                        { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26354                         { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
    2636826355echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
    2636926356   { (exit 1); exit 1; }; }
     
    2645226439    if test $flink_try = yes; then
    2645326440      if test $coin_need_flibs = yes ; then
    26454                          use_blas="$use_blas $FLIBS"
    26455                        fi
    26456                        echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     26441                           use_blas="$use_blas $FLIBS"
     26442                         fi
     26443                         echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2645726444echo "${ECHO_T}yes: $use_blas" >&6
    2645826445    else
     
    2650826495                     coin_need_flibs=yes
    2650926496                     if test $coin_need_flibs = yes ; then
    26510                          use_blas="$use_blas $FLIBS"
    26511                        fi
    26512                        echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     26497                           use_blas="$use_blas $FLIBS"
     26498                         fi
     26499                         echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2651326500echo "${ECHO_T}yes: $use_blas" >&6
    2651426501
     
    2652026507                     echo "$as_me:$LINENO: result: no" >&5
    2652126508echo "${ECHO_T}no" >&6
    26522                        { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26509                         { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
    2652326510echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
    2652426511   { (exit 1); exit 1; }; }
     
    2652926516        echo "$as_me:$LINENO: result: no" >&5
    2653026517echo "${ECHO_T}no" >&6
    26531                        { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26518                         { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
    2653226519echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
    2653326520   { (exit 1); exit 1; }; }
     
    2661526602    if test $flink_try = yes; then
    2661626603      if test $coin_need_flibs = yes ; then
    26617                          use_blas="$use_blas $FLIBS"
    26618                        fi
    26619                        echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     26604                           use_blas="$use_blas $FLIBS"
     26605                         fi
     26606                         echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2662026607echo "${ECHO_T}yes: $use_blas" >&6
    2662126608    else
     
    2667126658                     coin_need_flibs=yes
    2667226659                     if test $coin_need_flibs = yes ; then
    26673                          use_blas="$use_blas $FLIBS"
    26674                        fi
    26675                        echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     26660                           use_blas="$use_blas $FLIBS"
     26661                         fi
     26662                         echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2667626663echo "${ECHO_T}yes: $use_blas" >&6
    2667726664
     
    2668326670                     echo "$as_me:$LINENO: result: no" >&5
    2668426671echo "${ECHO_T}no" >&6
    26685                        { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26672                         { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
    2668626673echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
    2668726674   { (exit 1); exit 1; }; }
     
    2669226679        echo "$as_me:$LINENO: result: no" >&5
    2669326680echo "${ECHO_T}no" >&6
    26694                        { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26681                         { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
    2669526682echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
    2669626683   { (exit 1); exit 1; }; }
     
    2670026687esac
    2670126688
     26689      use_blas="$use_blas $FLIBS"
     26690    else
     26691      { echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works with C linkage" >&5
     26692echo "$as_me: checking whether user supplied BLASLIB=\"$use_blas\" works with C linkage" >&6;}
     26693      ac_ext=c
     26694ac_cpp='$CPP $CPPFLAGS'
     26695ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     26696ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     26697ac_compiler_gnu=$ac_cv_c_compiler_gnu
     26698
     26699      echo "$as_me:$LINENO: checking for daxpy" >&5
     26700echo $ECHO_N "checking for daxpy... $ECHO_C" >&6
     26701if test "${ac_cv_func_daxpy+set}" = set; then
     26702  echo $ECHO_N "(cached) $ECHO_C" >&6
     26703else
     26704  cat >conftest.$ac_ext <<_ACEOF
     26705/* confdefs.h.  */
     26706_ACEOF
     26707cat confdefs.h >>conftest.$ac_ext
     26708cat >>conftest.$ac_ext <<_ACEOF
     26709/* end confdefs.h.  */
     26710/* Define daxpy to an innocuous variant, in case <limits.h> declares daxpy.
     26711   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     26712#define daxpy innocuous_daxpy
     26713
     26714/* System header to define __stub macros and hopefully few prototypes,
     26715    which can conflict with char daxpy (); below.
     26716    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     26717    <limits.h> exists even on freestanding compilers.  */
     26718
     26719#ifdef __STDC__
     26720# include <limits.h>
     26721#else
     26722# include <assert.h>
     26723#endif
     26724
     26725#undef daxpy
     26726
     26727/* Override any gcc2 internal prototype to avoid an error.  */
     26728#ifdef __cplusplus
     26729extern "C"
     26730{
     26731#endif
     26732/* We use char because int might match the return type of a gcc2
     26733   builtin and then its argument prototype would still apply.  */
     26734char daxpy ();
     26735/* The GNU C library defines this for functions which it implements
     26736    to always fail with ENOSYS.  Some functions are actually named
     26737    something starting with __ and the normal name is an alias.  */
     26738#if defined (__stub_daxpy) || defined (__stub___daxpy)
     26739choke me
     26740#else
     26741char (*f) () = daxpy;
     26742#endif
     26743#ifdef __cplusplus
     26744}
     26745#endif
     26746
     26747#ifdef F77_DUMMY_MAIN
     26748
     26749#  ifdef __cplusplus
     26750     extern "C"
     26751#  endif
     26752   int F77_DUMMY_MAIN() { return 1; }
     26753
     26754#endif
     26755int
     26756main ()
     26757{
     26758return f != daxpy;
     26759  ;
     26760  return 0;
     26761}
     26762_ACEOF
     26763rm -f conftest.$ac_objext conftest$ac_exeext
     26764if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     26765  (eval $ac_link) 2>conftest.er1
     26766  ac_status=$?
     26767  grep -v '^ *+' conftest.er1 >conftest.err
     26768  rm -f conftest.er1
     26769  cat conftest.err >&5
     26770  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     26771  (exit $ac_status); } &&
     26772         { ac_try='test -z "$ac_c_werror_flag"
     26773                         || test ! -s conftest.err'
     26774  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     26775  (eval $ac_try) 2>&5
     26776  ac_status=$?
     26777  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     26778  (exit $ac_status); }; } &&
     26779         { ac_try='test -s conftest$ac_exeext'
     26780  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     26781  (eval $ac_try) 2>&5
     26782  ac_status=$?
     26783  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     26784  (exit $ac_status); }; }; then
     26785  ac_cv_func_daxpy=yes
     26786else
     26787  echo "$as_me: failed program was:" >&5
     26788sed 's/^/| /' conftest.$ac_ext >&5
     26789
     26790ac_cv_func_daxpy=no
     26791fi
     26792rm -f conftest.err conftest.$ac_objext \
     26793      conftest$ac_exeext conftest.$ac_ext
     26794fi
     26795echo "$as_me:$LINENO: result: $ac_cv_func_daxpy" >&5
     26796echo "${ECHO_T}$ac_cv_func_daxpy" >&6
     26797if test $ac_cv_func_daxpy = yes; then
     26798  :
     26799else
     26800  { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     26801echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     26802   { (exit 1); exit 1; }; }
     26803fi
     26804
     26805      ac_ext=c
     26806ac_cpp='$CPP $CPPFLAGS'
     26807ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     26808ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     26809ac_compiler_gnu=$ac_cv_c_compiler_gnu
     26810
     26811    fi
    2670226812    LIBS="$coin_save_LIBS"
    2670326813  fi
     
    2751127621        cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    2751227622          coin_save_LIBS="$LIBS"
    27513           echo "$as_me:$LINENO: checking for BLAS in MKL (32bit)" >&5
     27623          LIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $LIBS"
     27624          if test "$F77" != unavailable ; then
     27625            echo "$as_me:$LINENO: checking for BLAS in MKL (32bit)" >&5
    2751427626echo $ECHO_N "checking for BLAS in MKL (32bit)... $ECHO_C" >&6
    27515           LIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $LIBS"
    27516           case $ac_ext in
     27627            case $ac_ext in
    2751727628  f)
    2751827629    cat >conftest.$ac_ext <<_ACEOF
     
    2756227673  (exit $ac_status); }; }; then
    2756327674  use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
    27564                              echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     27675                               echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2756527676echo "${ECHO_T}yes: $use_blas" >&6
    2756627677
     
    2765527766    if test $flink_try = yes; then
    2765627767      use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
    27657                              echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     27768                               echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2765827769echo "${ECHO_T}yes: $use_blas" >&6
    2765927770
     
    2771027821                     coin_need_flibs=yes
    2771127822                     use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
    27712                              echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     27823                               echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2771327824echo "${ECHO_T}yes: $use_blas" >&6
    2771427825
     
    2781027921    if test $flink_try = yes; then
    2781127922      use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
    27812                              echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     27923                               echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2781327924echo "${ECHO_T}yes: $use_blas" >&6
    2781427925
     
    2786527976                     coin_need_flibs=yes
    2786627977                     use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
    27867                              echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     27978                               echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2786827979echo "${ECHO_T}yes: $use_blas" >&6
    2786927980
     
    2788727998esac
    2788827999
     28000          else
     28001            { echo "$as_me:$LINENO: for BLAS in MKL (32bit) using C linkage" >&5
     28002echo "$as_me: for BLAS in MKL (32bit) using C linkage" >&6;}
     28003            ac_ext=c
     28004ac_cpp='$CPP $CPPFLAGS'
     28005ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     28006ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     28007ac_compiler_gnu=$ac_cv_c_compiler_gnu
     28008
     28009            echo "$as_me:$LINENO: checking for daxpy" >&5
     28010echo $ECHO_N "checking for daxpy... $ECHO_C" >&6
     28011if test "${ac_cv_func_daxpy+set}" = set; then
     28012  echo $ECHO_N "(cached) $ECHO_C" >&6
     28013else
     28014  cat >conftest.$ac_ext <<_ACEOF
     28015/* confdefs.h.  */
     28016_ACEOF
     28017cat confdefs.h >>conftest.$ac_ext
     28018cat >>conftest.$ac_ext <<_ACEOF
     28019/* end confdefs.h.  */
     28020/* Define daxpy to an innocuous variant, in case <limits.h> declares daxpy.
     28021   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     28022#define daxpy innocuous_daxpy
     28023
     28024/* System header to define __stub macros and hopefully few prototypes,
     28025    which can conflict with char daxpy (); below.
     28026    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     28027    <limits.h> exists even on freestanding compilers.  */
     28028
     28029#ifdef __STDC__
     28030# include <limits.h>
     28031#else
     28032# include <assert.h>
     28033#endif
     28034
     28035#undef daxpy
     28036
     28037/* Override any gcc2 internal prototype to avoid an error.  */
     28038#ifdef __cplusplus
     28039extern "C"
     28040{
     28041#endif
     28042/* We use char because int might match the return type of a gcc2
     28043   builtin and then its argument prototype would still apply.  */
     28044char daxpy ();
     28045/* The GNU C library defines this for functions which it implements
     28046    to always fail with ENOSYS.  Some functions are actually named
     28047    something starting with __ and the normal name is an alias.  */
     28048#if defined (__stub_daxpy) || defined (__stub___daxpy)
     28049choke me
     28050#else
     28051char (*f) () = daxpy;
     28052#endif
     28053#ifdef __cplusplus
     28054}
     28055#endif
     28056
     28057#ifdef F77_DUMMY_MAIN
     28058
     28059#  ifdef __cplusplus
     28060     extern "C"
     28061#  endif
     28062   int F77_DUMMY_MAIN() { return 1; }
     28063
     28064#endif
     28065int
     28066main ()
     28067{
     28068return f != daxpy;
     28069  ;
     28070  return 0;
     28071}
     28072_ACEOF
     28073rm -f conftest.$ac_objext conftest$ac_exeext
     28074if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     28075  (eval $ac_link) 2>conftest.er1
     28076  ac_status=$?
     28077  grep -v '^ *+' conftest.er1 >conftest.err
     28078  rm -f conftest.er1
     28079  cat conftest.err >&5
     28080  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28081  (exit $ac_status); } &&
     28082         { ac_try='test -z "$ac_c_werror_flag"
     28083                         || test ! -s conftest.err'
     28084  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     28085  (eval $ac_try) 2>&5
     28086  ac_status=$?
     28087  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28088  (exit $ac_status); }; } &&
     28089         { ac_try='test -s conftest$ac_exeext'
     28090  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     28091  (eval $ac_try) 2>&5
     28092  ac_status=$?
     28093  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28094  (exit $ac_status); }; }; then
     28095  ac_cv_func_daxpy=yes
     28096else
     28097  echo "$as_me: failed program was:" >&5
     28098sed 's/^/| /' conftest.$ac_ext >&5
     28099
     28100ac_cv_func_daxpy=no
     28101fi
     28102rm -f conftest.err conftest.$ac_objext \
     28103      conftest$ac_exeext conftest.$ac_ext
     28104fi
     28105echo "$as_me:$LINENO: result: $ac_cv_func_daxpy" >&5
     28106echo "${ECHO_T}$ac_cv_func_daxpy" >&6
     28107if test $ac_cv_func_daxpy = yes; then
     28108  use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     28109fi
     28110
     28111            ac_ext=c
     28112ac_cpp='$CPP $CPPFLAGS'
     28113ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     28114ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     28115ac_compiler_gnu=$ac_cv_c_compiler_gnu
     28116
     28117          fi
    2788928118          LIBS="$coin_save_LIBS"
    2789028119
    2789128120          if test "x$use_blas" = x ; then
    27892             echo "$as_me:$LINENO: checking for BLAS in MKL (64bit)" >&5
     28121            LIBS="mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib $LIBS"
     28122            if test "$F77" != unavailable ; then
     28123              echo "$as_me:$LINENO: checking for BLAS in MKL (64bit)" >&5
    2789328124echo $ECHO_N "checking for BLAS in MKL (64bit)... $ECHO_C" >&6
    27894             LIBS="mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib $LIBS"
    27895             case $ac_ext in
     28125              case $ac_ext in
    2789628126  f)
    2789728127    cat >conftest.$ac_ext <<_ACEOF
     
    2794128171  (exit $ac_status); }; }; then
    2794228172  use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
    27943                                echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     28173                                 echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2794428174echo "${ECHO_T}yes: $use_blas" >&6
    2794528175
     
    2803428264    if test $flink_try = yes; then
    2803528265      use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
    28036                                echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     28266                                 echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2803728267echo "${ECHO_T}yes: $use_blas" >&6
    2803828268
     
    2808928319                     coin_need_flibs=yes
    2809028320                     use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
    28091                                echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     28321                                 echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2809228322echo "${ECHO_T}yes: $use_blas" >&6
    2809328323
     
    2818928419    if test $flink_try = yes; then
    2819028420      use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
    28191                                echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     28421                                 echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2819228422echo "${ECHO_T}yes: $use_blas" >&6
    2819328423
     
    2824428474                     coin_need_flibs=yes
    2824528475                     use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
    28246                                echo "$as_me:$LINENO: result: yes: $use_blas" >&5
     28476                                 echo "$as_me:$LINENO: result: yes: $use_blas" >&5
    2824728477echo "${ECHO_T}yes: $use_blas" >&6
    2824828478
     
    2826628496esac
    2826728497
     28498            else
     28499              { echo "$as_me:$LINENO: for BLAS in MKL (64bit) using C linkage" >&5
     28500echo "$as_me: for BLAS in MKL (64bit) using C linkage" >&6;}
     28501              # unset cached outcome of test with 32bit MKL
     28502              unset ac_cv_func_daxpy
     28503              ac_ext=c
     28504ac_cpp='$CPP $CPPFLAGS'
     28505ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     28506ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     28507ac_compiler_gnu=$ac_cv_c_compiler_gnu
     28508
     28509              echo "$as_me:$LINENO: checking for daxpy" >&5
     28510echo $ECHO_N "checking for daxpy... $ECHO_C" >&6
     28511if test "${ac_cv_func_daxpy+set}" = set; then
     28512  echo $ECHO_N "(cached) $ECHO_C" >&6
     28513else
     28514  cat >conftest.$ac_ext <<_ACEOF
     28515/* confdefs.h.  */
     28516_ACEOF
     28517cat confdefs.h >>conftest.$ac_ext
     28518cat >>conftest.$ac_ext <<_ACEOF
     28519/* end confdefs.h.  */
     28520/* Define daxpy to an innocuous variant, in case <limits.h> declares daxpy.
     28521   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     28522#define daxpy innocuous_daxpy
     28523
     28524/* System header to define __stub macros and hopefully few prototypes,
     28525    which can conflict with char daxpy (); below.
     28526    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     28527    <limits.h> exists even on freestanding compilers.  */
     28528
     28529#ifdef __STDC__
     28530# include <limits.h>
     28531#else
     28532# include <assert.h>
     28533#endif
     28534
     28535#undef daxpy
     28536
     28537/* Override any gcc2 internal prototype to avoid an error.  */
     28538#ifdef __cplusplus
     28539extern "C"
     28540{
     28541#endif
     28542/* We use char because int might match the return type of a gcc2
     28543   builtin and then its argument prototype would still apply.  */
     28544char daxpy ();
     28545/* The GNU C library defines this for functions which it implements
     28546    to always fail with ENOSYS.  Some functions are actually named
     28547    something starting with __ and the normal name is an alias.  */
     28548#if defined (__stub_daxpy) || defined (__stub___daxpy)
     28549choke me
     28550#else
     28551char (*f) () = daxpy;
     28552#endif
     28553#ifdef __cplusplus
     28554}
     28555#endif
     28556
     28557#ifdef F77_DUMMY_MAIN
     28558
     28559#  ifdef __cplusplus
     28560     extern "C"
     28561#  endif
     28562   int F77_DUMMY_MAIN() { return 1; }
     28563
     28564#endif
     28565int
     28566main ()
     28567{
     28568return f != daxpy;
     28569  ;
     28570  return 0;
     28571}
     28572_ACEOF
     28573rm -f conftest.$ac_objext conftest$ac_exeext
     28574if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     28575  (eval $ac_link) 2>conftest.er1
     28576  ac_status=$?
     28577  grep -v '^ *+' conftest.er1 >conftest.err
     28578  rm -f conftest.er1
     28579  cat conftest.err >&5
     28580  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28581  (exit $ac_status); } &&
     28582         { ac_try='test -z "$ac_c_werror_flag"
     28583                         || test ! -s conftest.err'
     28584  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     28585  (eval $ac_try) 2>&5
     28586  ac_status=$?
     28587  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28588  (exit $ac_status); }; } &&
     28589         { ac_try='test -s conftest$ac_exeext'
     28590  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     28591  (eval $ac_try) 2>&5
     28592  ac_status=$?
     28593  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     28594  (exit $ac_status); }; }; then
     28595  ac_cv_func_daxpy=yes
     28596else
     28597  echo "$as_me: failed program was:" >&5
     28598sed 's/^/| /' conftest.$ac_ext >&5
     28599
     28600ac_cv_func_daxpy=no
     28601fi
     28602rm -f conftest.err conftest.$ac_objext \
     28603      conftest$ac_exeext conftest.$ac_ext
     28604fi
     28605echo "$as_me:$LINENO: result: $ac_cv_func_daxpy" >&5
     28606echo "${ECHO_T}$ac_cv_func_daxpy" >&6
     28607if test $ac_cv_func_daxpy = yes; then
     28608  use_blas='mkl_intel_lp64.lib mkl_sequential.lib mkl_core.lib'
     28609fi
     28610
     28611              ac_ext=c
     28612ac_cpp='$CPP $CPPFLAGS'
     28613ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     28614ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     28615ac_compiler_gnu=$ac_cv_c_compiler_gnu
     28616
     28617            fi
    2826828618            LIBS="$coin_save_LIBS"
    2826928619          fi
  • trunk/configure

    r2199 r2266  
    27172717        coin_dbg_cflags="-g -O0"
    27182718        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas -Wno-long-long"
    2719         case $build in
    2720           *-darwin*)
    2721             ;;
    2722           *)
    2723             coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
    2724             ;;
    2725         esac
    27262719    esac
    27272720  fi
     
    35883581        coin_dbg_cxxflags="-g -O0"
    35893582        coin_warn_cxxflags="-Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas -Wno-long-long"
    3590         case $build in
    3591           *-darwin*)
    3592             ;;
    3593           *)
    3594             coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    3595             ;;
    3596         esac
    35973583    esac
    35983584  fi
     
    41694155
    41704156# Provide some information about the compiler.
    4171 echo "$as_me:4171:" \
     4157echo "$as_me:4157:" \
    41724158     "checking for Fortran 77 compiler version" >&5
    41734159ac_compiler=`set X $ac_compile; echo $2`
     
    63976383*-*-irix6*)
    63986384  # Find out which ABI we are using.
    6399   echo '#line 6399 "configure"' > conftest.$ac_ext
     6385  echo '#line 6385 "configure"' > conftest.$ac_ext
    64006386  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64016387  (eval $ac_compile) 2>&5
     
    83618347   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83628348   -e 's:$: $lt_compiler_flag:'`
    8363    (eval echo "\"\$as_me:8363: $lt_compile\"" >&5)
     8349   (eval echo "\"\$as_me:8349: $lt_compile\"" >&5)
    83648350   (eval "$lt_compile" 2>conftest.err)
    83658351   ac_status=$?
    83668352   cat conftest.err >&5
    8367    echo "$as_me:8367: \$? = $ac_status" >&5
     8353   echo "$as_me:8353: \$? = $ac_status" >&5
    83688354   if (exit $ac_status) && test -s "$ac_outfile"; then
    83698355     # The compiler can only warn and ignore the option if not recognized
     
    86298615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86308616   -e 's:$: $lt_compiler_flag:'`
    8631    (eval echo "\"\$as_me:8631: $lt_compile\"" >&5)
     8617   (eval echo "\"\$as_me:8617: $lt_compile\"" >&5)
    86328618   (eval "$lt_compile" 2>conftest.err)
    86338619   ac_status=$?
    86348620   cat conftest.err >&5
    8635    echo "$as_me:8635: \$? = $ac_status" >&5
     8621   echo "$as_me:8621: \$? = $ac_status" >&5
    86368622   if (exit $ac_status) && test -s "$ac_outfile"; then
    86378623     # The compiler can only warn and ignore the option if not recognized
     
    87338719   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87348720   -e 's:$: $lt_compiler_flag:'`
    8735    (eval echo "\"\$as_me:8735: $lt_compile\"" >&5)
     8721   (eval echo "\"\$as_me:8721: $lt_compile\"" >&5)
    87368722   (eval "$lt_compile" 2>out/conftest.err)
    87378723   ac_status=$?
    87388724   cat out/conftest.err >&5
    8739    echo "$as_me:8739: \$? = $ac_status" >&5
     8725   echo "$as_me:8725: \$? = $ac_status" >&5
    87408726   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87418727   then
     
    1107811064  lt_status=$lt_dlunknown
    1107911065  cat > conftest.$ac_ext <<EOF
    11080 #line 11080 "configure"
     11066#line 11066 "configure"
    1108111067#include "confdefs.h"
    1108211068
     
    1117811164  lt_status=$lt_dlunknown
    1117911165  cat > conftest.$ac_ext <<EOF
    11180 #line 11180 "configure"
     11166#line 11166 "configure"
    1118111167#include "confdefs.h"
    1118211168
     
    1352213508   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1352313509   -e 's:$: $lt_compiler_flag:'`
    13524    (eval echo "\"\$as_me:13524: $lt_compile\"" >&5)
     13510   (eval echo "\"\$as_me:13510: $lt_compile\"" >&5)
    1352513511   (eval "$lt_compile" 2>conftest.err)
    1352613512   ac_status=$?
    1352713513   cat conftest.err >&5
    13528    echo "$as_me:13528: \$? = $ac_status" >&5
     13514   echo "$as_me:13514: \$? = $ac_status" >&5
    1352913515   if (exit $ac_status) && test -s "$ac_outfile"; then
    1353013516     # The compiler can only warn and ignore the option if not recognized
     
    1362613612   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1362713613   -e 's:$: $lt_compiler_flag:'`
    13628    (eval echo "\"\$as_me:13628: $lt_compile\"" >&5)
     13614   (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
    1362913615   (eval "$lt_compile" 2>out/conftest.err)
    1363013616   ac_status=$?
    1363113617   cat out/conftest.err >&5
    13632    echo "$as_me:13632: \$? = $ac_status" >&5
     13618   echo "$as_me:13618: \$? = $ac_status" >&5
    1363313619   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1363413620   then
     
    1519615182   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1519715183   -e 's:$: $lt_compiler_flag:'`
    15198    (eval echo "\"\$as_me:15198: $lt_compile\"" >&5)
     15184   (eval echo "\"\$as_me:15184: $lt_compile\"" >&5)
    1519915185   (eval "$lt_compile" 2>conftest.err)
    1520015186   ac_status=$?
    1520115187   cat conftest.err >&5
    15202    echo "$as_me:15202: \$? = $ac_status" >&5
     15188   echo "$as_me:15188: \$? = $ac_status" >&5
    1520315189   if (exit $ac_status) && test -s "$ac_outfile"; then
    1520415190     # The compiler can only warn and ignore the option if not recognized
     
    1530015286   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1530115287   -e 's:$: $lt_compiler_flag:'`
    15302    (eval echo "\"\$as_me:15302: $lt_compile\"" >&5)
     15288   (eval echo "\"\$as_me:15288: $lt_compile\"" >&5)
    1530315289   (eval "$lt_compile" 2>out/conftest.err)
    1530415290   ac_status=$?
    1530515291   cat out/conftest.err >&5
    15306    echo "$as_me:15306: \$? = $ac_status" >&5
     15292   echo "$as_me:15292: \$? = $ac_status" >&5
    1530715293   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1530815294   then
     
    1750717493   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1750817494   -e 's:$: $lt_compiler_flag:'`
    17509    (eval echo "\"\$as_me:17509: $lt_compile\"" >&5)
     17495   (eval echo "\"\$as_me:17495: $lt_compile\"" >&5)
    1751017496   (eval "$lt_compile" 2>conftest.err)
    1751117497   ac_status=$?
    1751217498   cat conftest.err >&5
    17513    echo "$as_me:17513: \$? = $ac_status" >&5
     17499   echo "$as_me:17499: \$? = $ac_status" >&5
    1751417500   if (exit $ac_status) && test -s "$ac_outfile"; then
    1751517501     # The compiler can only warn and ignore the option if not recognized
     
    1777517761   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777617762   -e 's:$: $lt_compiler_flag:'`
    17777    (eval echo "\"\$as_me:17777: $lt_compile\"" >&5)
     17763   (eval echo "\"\$as_me:17763: $lt_compile\"" >&5)
    1777817764   (eval "$lt_compile" 2>conftest.err)
    1777917765   ac_status=$?
    1778017766   cat conftest.err >&5
    17781    echo "$as_me:17781: \$? = $ac_status" >&5
     17767   echo "$as_me:17767: \$? = $ac_status" >&5
    1778217768   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778317769     # The compiler can only warn and ignore the option if not recognized
     
    1787917865   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788017866   -e 's:$: $lt_compiler_flag:'`
    17881    (eval echo "\"\$as_me:17881: $lt_compile\"" >&5)
     17867   (eval echo "\"\$as_me:17867: $lt_compile\"" >&5)
    1788217868   (eval "$lt_compile" 2>out/conftest.err)
    1788317869   ac_status=$?
    1788417870   cat out/conftest.err >&5
    17885    echo "$as_me:17885: \$? = $ac_status" >&5
     17871   echo "$as_me:17871: \$? = $ac_status" >&5
    1788617872   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1788717873   then
Note: See TracChangeset for help on using the changeset viewer.